<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
{% if page.url == '/' %}
<!-- jQuery -->
<!--script src="js/jquery.js"></script-->
<!-- bootstrap -->
<!--script src="js/bootstrap.min.js"></script-->
<!-- fullpage -->
<script src="assets/js/jquery.fullPage.js"></script>
<!-- smoothScroll -->
<script src="assets/js/smoothscroll.js"></script>
<!-- wow -->
<script src="assets/js/wow.min.js"></script>
<!-- text rotater -->
<script src="assets/js/jquery.simple-text-rotator.js"></script>
<!-- custom -->
<script src="assets/js/custom.js"></script>
{% endif %}
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"></script>
<script src="{{"/assets/vendor/startbootstrap-clean-blog/js/scripts.js" | relative_url }}"></script>

<script src="{{"/assets/scripts.js" | relative_url }}"></script>
<script data-isso="//commento.packman.io/" data-isso-postbox-text-text-en="Like this? Say something (Markdown is supported)." src="//commento.packman.io/js/embed.min.js"></script>


  <!-- Form Validation -->
  <script src="{{"/assets/vendor/startbootstrap-clean-blog/js/jqBootstrapValidation.js" | relative_url }}"></script>
  <!-- Send Form -->
  <script>
   function success(name)
   {
              // Success message
              $('#success').html("<div class='alert alert-success'>");
              $('#success > .alert-success').html("<button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;").append("</button>");
              $('#success > .alert-success').append("<strong>Thank you, " + name + ". I'll do my best to contact you quickly.<br>May the source be with you:) </strong>");
              $('#success > .alert-success').append('</div>');
              //clear all fields
              $('#contactForm').trigger("reset");
   }


    $(function () {

      $("#contactForm input,#contactForm textarea").jqBootstrapValidation({
        preventSubmit: true,
        submitError: function ($form, event, errors) {
          // additional error messages or events
        },
        submitSuccess: function ($form, event) {
          event.preventDefault(); // prevent default submit behaviour
          // get values from FORM
          var name = $("input#name").val();
          var email = $("input#email").val();
          var phone = $("input#phone").val();
          var message = $("textarea#message").val();
          var firstName = name; // For Success/Failure Message
          // Check for white space in name for Success/Fail message
          if (firstName.indexOf(' ') >= 0) {
            firstName = name.split(' ').slice(0, -1).join(' ');
          }
          $this = $("#sendMessageButton");
          $this.prop("disabled", true); // Disable submit button until AJAX call is complete to prevent duplicate messages
          $.ajax({
            url: "//formspree.io/f/{{ site.formspree_id }}",
            type: "POST",
            data: {
              name: name,
              phone: phone,
              email: email,
              message: message
            },
            cache: false,
            success: function () {
		success(firstName);
            },
            error: function () {
		success(firstName);
              // Fail message
              /*$('#success').html("<div class='alert alert-danger'>");
              $('#success > .alert-danger').html("<button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;").append("</button>");
              $('#success > .alert-danger').append($("<strong>").text("Sorry " + firstName + ", it seems that my mail server is not responding. Please try again later!"));
              $('#success > .alert-danger').append('</div>');
              //clear all fields
              $('#contactForm').trigger("reset");*/
            },
            complete: function () {
              setTimeout(function () {
                $this.prop("disabled", false); // Re-enable submit button when AJAX call is complete
              }, 1000);
            }
          });
        },
        filter: function () {
          return $(this).is(":visible");
        }
      });

      $("a[data-toggle=\"tab\"]").click(function (e) {
        e.preventDefault();
        $(this).tab("show");
      });
    });

    /*When clicking on Full hide fail/success boxes */
    $('#name').focus(function () {
      $('#success').html('');
    });
  </script>
<script>
  var remark_config = {
    host: 'https://commento.packman.io',
    site_id: 'remark',
    //components: ['embeded', 'last-comments'],
    //max_shown_comments: 100,
    simple_view: true,
    no_footer: true,
    theme: 'dark'
  }
</script>
<script>!function(e,n){for(var o=0;o<e.length;o++){var r=n.createElement("script"),c=".js",d=n.head||n.body;"noModule"in r?(r.type="module",c=".mjs"):r.async=!0,r.defer=!0,r.src=remark_config.host+"/web/"+e[o]+c,d.appendChild(r)}}(remark_config.components||["embed"],document);</script>
